%%header
# CUPS configuration file, generated by CUPS configuration tool.
# This tool is part of KDEPrint, the printing framework for KDE
# since version 2.2.2 and is used by the CUPS supporting module
# in KDEPrint. The predecessors to KDEPrint in former KDE releases
# were KUPS and QtCUPS; they are deprecated and no longer maintained.
#
# Author: Michael Goffioul <kdeprint@swing.be>
#
# Web site: http://printing.kde.org/
#
########################################################################
#                                                                      #
# This is the CUPS configuration file.  If you are familiar with       #
# Apache or any of the other popular web servers, we've followed the   #
# same format.  Any configuration variable used here has the same      #
# semantics as the corresponding variable in Apache.  If we need       #
# different functionality then a different name is used to avoid       #
# confusion...                                                         #
#                                                                      #
########################################################################
@@

%%servername
# <b>Server name (ServerName)</b>
# <p>
# The hostname of your server, as advertised to the world.
# By default CUPS will use the hostname of the system.</p>
# <p>
# To set the default server used by clients, see the client.conf file.</p>
# <p>
# <i>ex</i>: myhost.domain.com</p>
$$
#ServerName myhost.domain.com
@@

%%serveradmin
# <b>Server administrator (ServerAdmin)</b>
# <p>
# The email address to send all complaints or problems to.
# By default CUPS will use "root@hostname".</p>
# <p>
# <i>ex</i>: root@myhost.com</p>
$$
#ServerAdmin root@your.domain.com
@@

%%accesslog
# <b>Access log (AccessLog)</b>
# <p>
# The access log file; if this does not start with a leading /
# then it is assumed to be relative to ServerRoot.  By default set to
# "/var/log/cups/access_log".</p>
# <p>
# You can also use the special name <b>syslog</b> to send the output to the
# syslog file or daemon.</p>
# <p>
# <i>ex</i>: /var/log/cups/access_log</p>
$$
#AccessLog /var/log/cups/access_log
@@

%%datadir
# <b>Data directory (DataDir)</b>
# <p>
# The root directory for the CUPS data files.
# By default /usr/share/cups.</p>
# <p>
# <i>ex</i>: /usr/share/cups</p>
$$
#DataDir /usr/share/cups
@@

%%defaultcharset
# <b>Default character set (DefaultCharset)</b>
# <p>
# The default character set to use. If not specified,
# defaults to utf-8.  Note that this can also be overridden in
# HTML documents...</p>
# <p>
# <i>ex</i>: utf-8</p>
$$
#DefaultCharset utf-8
@@

%%defaultlanguage
# <b>Default language (DefaultLanguage)</b>
# <p>
# The default language if not specified by the browser.
# If not specified, the current locale is used.</p>
# <p>
# <i>ex</i>: en</p>
$$
#DefaultLanguage en
@@

%%documentroot
# <b>Document directory (DocumentRoot)</b>
# <p>
# The root directory for HTTP documents that are served.
# By default the compiled-in directory.</p>
# <p>
# <i>ex</i>: /usr/share/cups/doc</p>
$$
#DocumentRoot /usr/share/cups/doc
@@

%%errorlog
# <b>Error log (ErrorLog)</b>
# <p>
# The error log file; if this does not start with a leading /
# then it is assumed to be relative to ServerRoot.  By default set to
# "/var/log/cups/error_log".</p>
# <p>
# You can also use the special name <b>syslog</b> to send the output to the
# syslog file or daemon.</p>
# <p>
# <i>ex</i>: /var/log/cups/error_log</p>
$$
#ErrorLog /var/log/cups/error_log
@@

%%fontpath
# <b>Font path (FontPath)</b>
# <p>
# The path to locate all font files (currently only for pstoraster).
# By default /usr/share/cups/fonts.</p>
# <p>
# <i>ex</i>: /usr/share/cups/fonts</p>
$$
#FontPath /usr/share/cups/fonts
@@

%%loglevel
# <b>Log level (LogLevel)</b>
# <p>
# Controls the number of messages logged to the ErrorLog
# file and can be one of the following:</p>
# <ul type=circle>
#     <li><i>debug2</i>:     Log everything.</li>
#     <li><i>debug</i>:     Log almost everything.</li>
#     <li><i>info</i>:      Log all requests and state changes.</li>
#     <li><i>warn</i>:      Log errors and warnings.</li>
#     <li><i>error</i>:     Log only errors.</li>
#     <li><i>none</i>:      Log nothing.</li>
# </ul><p>
# <i>ex</i>: info</p>
$$
#LogLevel info
@@

%%maxlogsize
# <b>Max log size (MaxLogSize)</b>
# <p>
# Controls the maximum size of each log file before they are
# rotated.  Defaults to 1048576 (1MB).  Set to 0 to disable log rotating.</p>
# <p>
# <i>ex</i>: 1048576</p>
$$
#MaxLogSize 0
@@

%%pagelog
# <b>Page log (PageLog)</b>
# <p>
# The page log file; if this does not start with a leading /
# then it is assumed to be relative to ServerRoot.  By default set to
# "/var/log/cups/page_log".</p>
# <p>
# You can also use the special name <b>syslog</b> to send the output to the
# syslog file or daemon.</p>
# <p>
# <i>ex</i>: /var/log/cups/page_log</p>
$$
#PageLog /var/log/cups/page_log
@@

%%preservejobhistory
# <b>Preserve job history (PreserveJobHistory)</b>
# <p>
# Whether or not to preserve the job history after a
# job is completed, canceled, or stopped.  Default is Yes.</p>
# <p>
# <i>ex</i>: Yes</p>
$$
#PreserveJobHistory Yes
@@

%%preservejobfiles
# <b>Preserve job files (PreserveJobFiles)</b>
# <p>
# Whether or not to preserve the job files after a
# job is completed, canceled, or stopped.  Default is No.</p>
# <p>
# <i>ex</i>: No</p>
$$
#PreserveJobFiles No
@@

%%printcap
# <b>Printcap file (Printcap)</b>
# <p>
# The name of the printcap file.  Default is no filename.
# Leave blank to disable printcap file generation.</p>
# <p>
# <i>ex</i>: /etc/printcap</p>
$$
#Printcap /etc/printcap
@@

%%requestroot
# <b>Request directory (RequestRoot)</b>
# <p>
# The directory where request files are stored.
# By default /var/spool/cups.</p>
# <p>
# <i>ex</i>: /var/spool/cups</p>
$$
#RequestRoot /var/spool/cups
@@

%%remoteroot
# <b>Remote root user (RemoteRoot)</b>
# <p>
# The name of the user assigned to unauthenticated accesses
# from remote systems.  By default "remroot".</p>
# <p>
# <i>ex</i>: remroot</p>
$$
#RemoteRoot remroot
@@

%%serverbin
# <b>Server binaries (ServerBin)</b>
# <p>
# The root directory for the scheduler executables.
# By default /usr/lib/cups or /usr/lib32/cups (IRIX 6.5).</p>
# <p>
# <i>ex</i>: /usr/lib/cups</p>
$$
#ServerBin /usr/lib/cups
@@

%%serverroot
# <b>Server files (ServerRoot)</b>
# <p>
# The root directory for the scheduler.
# By default /etc/cups.</p>
# <p>
# <i>ex</i>: /etc/cups</p>
$$
#ServerRoot /etc/cups
@@

%%user
# <b>User (User)</b>
# <p>
# The user the server runs under.  Normally this
# must be <b>lp</b>, however you can configure things for another user
# as needed.</p>
# <p>
# Note: the server must be run initially as root to support the
# default IPP port of 631.  It changes users whenever an external
# program is run...</p>
# <p>
# <i>ex</i>: lp</p>
$$
#User lp
@@

%%group
# <b>Group (Group)</b>
# <p>
# The group the server runs under.  Normally this
# must be <b>sys</b>, however you can configure things for another
# group as needed.</p>
# <p>
# <i>ex</i>: sys</p>
$$
#Group sys
@@

%%ripcache
# <b>RIP cache (RIPCache)</b>
# <p>
# The amount of memory that each RIP should use to cache
# bitmaps.  The value can be any real number followed by "k" for
# kilobytes, "m" for megabytes, "g" for gigabytes, or "t" for tiles
# (1 tile = 256x256 pixels).  Defaults to "8m" (8 megabytes).</p>
# <p>
# <i>ex</i>: 8m</p>
$$
#RIPCache 8m
@@

%%tempdir
# <b>Temporary files (TempDir)</b>
# <p>
# The directory to put temporary files in. This directory must be
# writable by the user defined above!  Defaults to "/var/spool/cups/tmp" or
# the value of the TMPDIR environment variable.</p>
# <p>
# <i>ex</i>: /var/spool/cups/tmp</p>
$$
#TempDir /var/spool/cups/tmp
@@

%%filterlimit
# <b>Filter limit (FilterLimit)</b>
# <p>
# Sets the maximum cost of all job filters that can be run
# at the same time.  A limit of 0 means no limit.  A typical job may need
# a filter limit of at least 200; limits less than the minimum required
# by a job force a single job to be printed at any time.</p>
# <p>
# The default limit is 0 (unlimited).</p>
# <p>
# <i>ex</i>: 200</p>
$$
#FilterLimit 0
@@

%%listen
# <b>Listen to (Port/Listen)</b>
# <p>
# Ports/addresses that are listened to.  The default port 631 is reserved
# for the Internet Printing Protocol (IPP) and is what is used here.</p>
# <p>
# You can have multiple Port/Listen lines to listen to more than one
# port or address, or to restrict access.</p>
# <p>
# Note: Unfortunately, most web browsers don't support TLS or HTTP Upgrades
# for encryption.  If you want to support web-based encryption you will
# probably need to listen on port 443 (the "HTTPS" port...).</p>
# <p>
# <i>ex</i>: 631, myhost:80, 1.2.3.4:631</p>
$$
#    Port 80
#    Port 631
#    Listen hostname
#    Listen hostname:80
#    Listen hostname:631
#    Listen 1.2.3.4
#    Listen 1.2.3.4:631
#
#Port 631
@@

%%hostnamelookups
# <b>Hostname lookups (HostNameLookups)</b>
# <p>
# Whether or not to do lookups on IP addresses to get a
# fully-qualified hostname.  This defaults to Off for performance reasons...</p>
# <p>
# <i>ex</i>: On</p>
$$
#HostNameLookups On
@@

%%keepalive
# <b>Keep alive (KeepAlive)</b>
# <p>
# Whether or not to support the Keep-Alive connection
# option.  Default is on.</p>
# <p>
# <i>ex</i>: On</p>
$$
#KeepAlive On
@@

%%keepalivetimeout
# <b>Keep-alive timeout (KeepAliveTimeout)</b>
# <p>
# The timeout (in seconds) before Keep-Alive connections are
# automatically closed.  Default is 60 seconds.</p>
# <p>
# <i>ex</i>: 60</p>
$$
#KeepAliveTimeout 60
@@

%%maxclients
# <b>Max clients (MaxClients)</b>
# <p>
# Controls the maximum number of simultaneous clients that
# will be handled.  Defaults to 100.</p>
# <p>
# <i>ex</i>: 100</p>
$$
#MaxClients 100
@@

%%maxrequestsize
# <b>Max request size (MaxRequestSize)</b>
# <p>
# Controls the maximum size of HTTP requests and print files.
# Set to 0 to disable this feature (defaults to 0).</p>
# <p>
# <i>ex</i>: 0</p>
$$
#MaxRequestSize 0
@@

%%timeout
# <b>Client timeout (Timeout)</b>
# <p>
# The timeout (in seconds) before requests time out.  Default is 300 seconds.</p>
# <p>
# <i>ex</i>: 300</p>
$$
#Timeout 300
@@

%%browsing
# <b>Use browsing (Browsing)</b>
# <p>
# Whether or not to <b>listen</b> to printer 
# information from other CUPS servers.  
# </p>
# <p>
# Enabled by default.
# </p>
# <p>
# Note: to enable the <b>sending</b> of browsing
# information from this CUPS server to the LAN,
# specify a valid <i>BrowseAddress</i>.
# </p>
# <p>
# <i>ex</i>: On</p>
$$
#Browsing On
@@

%%browseshortnames
# <b>Use short names (BrowseShortNames)</b>
# <p>
# Whether or not to use "short" names for remote printers
# when possible (e.g. "printer" instead of "printer@host").  Enabled by
# default.</p>
# <p>
# <i>ex</i>: Yes</p>
$$
#BrowseShortNames Yes
@@

%%browseaddress
# <b>Browse addresses (BrowseAddress)</b>
# <p>
# Specifies a broadcast address to be used.  By
# default browsing information is broadcast to all active interfaces.</p>
# <p>
# Note: HP-UX 10.20 and earlier do not properly handle broadcast unless
# you have a Class A, B, C, or D netmask (i.e. no CIDR support).</p>
# <p>
# <i>ex</i>: x.y.z.255, x.y.255.255</p>
$$
#BrowseAddress x.y.z.255
#BrowseAddress x.y.255.255
#BrowseAddress x.255.255.255
@@

%%browseallow
# <b>Browse allow/deny (BrowseAllow/BrowseDeny)</b>
# <p>
# <u>BrowseAllow</u>: specifies an address mask to allow for incoming browser
# packets. The default is to allow packets from all addresses.</p>
# <p>
# <u>BrowseDeny</u>: specifies an address mask to deny for incoming browser
# packets. The default is to deny packets from no addresses.</p>
# <p>
# Both "BrowseAllow" and "BrowseDeny" accept the following notations for
# addresses:</p>
# <pre>
#     All
#     None
#     *.domain.com
#     .domain.com
#     host.domain.com
#     nnn.*
#     nnn.nnn.*
#     nnn.nnn.nnn.*
#     nnn.nnn.nnn.nnn
#     nnn.nnn.nnn.nnn/mm
#     nnn.nnn.nnn.nnn/mmm.mmm.mmm.mmm
# </pre><p>
# The hostname/domainname restrictions only work if you have turned hostname
# lookups on!</p>
$$
#BrowseAllow address
#BrowseDeny address
@@

%%browseinterval
# <b>Browse interval (BrowseInterval)</b>
# <p>
# The time between browsing updates in seconds.  Default
# is 30 seconds.</p>
# <p>
# Note that browsing information is sent whenever a printer's state changes
# as well, so this represents the maximum time between updates.</p>
# <p>
# Set this to 0 to disable outgoing broadcasts so your local printers are
# not advertised but you can still see printers on other hosts.</p>
# <p>
# <i>ex</i>: 30</p>
$$
#BrowseInterval 30
@@

%%browseorder
# <b>Browse order (BrowseOrder)</b>
# <p>
# Specifies the order of BrowseAllow/BrowseDeny comparisons.</p>
# <p>
# <i>ex</i>: allow,deny</p>
$$
#BrowseOrder allow,deny
#BrowseOrder deny,allow
@@

%%browsepoll
# <b>Browse poll (BrowsePoll)</b>
# <p>
# Poll the named server(s) for printers.</p>
# <p>
# <i>ex</i>: myhost:631</p>
$$
#BrowsePoll address:port
@@

%%browseport
# <b>Browse port (BrowsePort)</b>
# <p>
# The port used for UDP broadcasts.  By default this is
# the IPP port; if you change this you need to do it on all servers.
# Only one BrowsePort is recognized.</p>
# <p>
# <i>ex</i>: 631</p>
$$
#BrowsePort 631
@@

%%browserelay
# <b>Browse relay (BrowseRelay)</b>
# <p>
# Relay browser packets from one address/network to another.</p>
# <p>
# <i>ex</i>: src-address dest-address</p>
$$
#BrowseRelay source-address destination-address
@@

%%browsetimeout
# <b>Browse timeout (BrowseTimeout)</b>
# <p>
# The timeout (in seconds) for network printers - if we don't
# get an update within this time the printer will be removed
# from the printer list.  This number definitely should not be
# less the BrowseInterval value for obvious reasons.  Defaults
# to 300 seconds.</p>
# <p>
# <i>ex</i>: 300</p>
$$
#BrowseTimeout 300
@@

%%implicitclasses
# <b>Implicit classes (ImplicitClasses)</b>
# <p>
# Whether or not to use implicit classes.</p>
# <p>
# Printer classes can be specified explicitly in the classes.conf
# file, implicitly based upon the printers available on the LAN, or
# both.</p>
# <p>
# When ImplicitClasses is On, printers on the LAN with the same name
# (e.g. Acme-LaserPrint-1000) will be put into a class with the same
# name. This allows you to setup multiple redundant queues on a LAN
# without a lot of administrative difficulties.  If a user sends a
# job to Acme-LaserPrint-1000, the job will go to the first available
# queue.</p>
# <p>
# Enabled by default.</p>
$$
#ImplicitClasses Off
@@

%%systemgroup
# <b>System group (SystemGroup)</b>
# <p>
# The group name for "System" (printer administration)
# access.  The default varies depending on the operating system, but
# will be <b>sys</b>, <b>system</b>, or <b>root</b> (checked for in that order).</p>
# <p>
# <i>ex</i>: sys</p>
$$
#SystemGroup sys
@@

%%servercertificate
# <b>Encryption certificate (ServerCertificate)</b>
# <p>
# The file to read containing the server's certificate.
# Defaults to "/etc/cups/ssl/server.crt".</p>
# <p>
# <i>ex</i>: /etc/cups/ssl/server.crt</p>
$$
#ServerCertificate /etc/cups/ssl/server.crt
@@

%%serverkey
# <b>Encryption key (ServerKey)</b>
# <p>
# The file to read containing the server's key.
# Defaults to "/etc/cups/ssl/server.key".</p>
# <p>
# <i>ex</i>: /etc/cups/ssl/server.key</p>
$$
#ServerKey /etc/cups/ssl/server.key
@@

%%locations
# Access permissions
#
# Access permissions for each directory served by the scheduler.
# Locations are relative to DocumentRoot...
#
# AuthType: the authorization to use:
#
#    None   - Perform no authentication
#    Basic  - Perform authentication using the HTTP Basic method.
#    Digest - Perform authentication using the HTTP Digest method.
#
#    (Note: local certificate authentication can be substituted by
#           the client for Basic or Digest when connecting to the
#           localhost interface)
#
# AuthClass: the authorization class; currently only Anonymous, User,
# System (valid user belonging to group SystemGroup), and Group
# (valid user belonging to the specified group) are supported.
#
# AuthGroupName: the group name for "Group" authorization.
#
# Order: the order of Allow/Deny processing.
#
# Allow: allows access from the specified hostname, domain, IP address, or
# network.
#
# Deny: denies access from the specified hostname, domain, IP address, or
# network.
#
# Both "Allow" and "Deny" accept the following notations for addresses:
#
#     All
#     None
#     *.domain.com
#     .domain.com
#     host.domain.com
#     nnn.*
#     nnn.nnn.*
#     nnn.nnn.nnn.*
#     nnn.nnn.nnn.nnn
#     nnn.nnn.nnn.nnn/mm
#     nnn.nnn.nnn.nnn/mmm.mmm.mmm.mmm
#
# The host and domain address require that you enable hostname lookups
# with "HostNameLookups On" above.
#
# Encryption: whether or not to use encryption; this depends on having
# the OpenSSL library linked into the CUPS library and scheduler.
#
# Possible values:
#
#     Always       - Always use encryption (SSL)
#     Never        - Never use encryption
#     Required     - Use TLS encryption upgrade
#     IfRequested  - Use encryption if the server requests it
#
# The default value is "IfRequested".
$$
#<Location [resource_name]>
#
# You may wish to limit access to printers and classes, either with Allow
# and Deny lines, or by requiring a username and password.
#
#
## Anonymous access (default)
#AuthType None
#
## Require a username and password (Basic authentication)
#AuthType Basic
#AuthClass User
#
## Require a username and password (Digest/MD5 authentication)
#AuthType Digest
#AuthClass User
#
## Restrict access to local domain
#Order Deny,Allow
#Deny From All
#Allow From .mydomain.com
#
## Use encryption if requested
#Encryption IfRequested
#</Location>
@@

%%authtype
# <b>Authentication (AuthType)</b>
# <p>
# The authorization to use:<p>
# <ul type=circle>
#    <li><i>None</i>   - Perform no authentication.</li>
#    <li><i>Basic</i>  - Perform authentication using the HTTP Basic method.</li>
#    <li><i>Digest</i> - Perform authentication using the HTTP Digest method.</li>
# </ul><p>
#    Note: local certificate authentication can be substituted by
#          the client for <i>Basic</i> or <i>Digest</i> when connecting to the
#          localhost interface.</p>
@@

%%authclass
# <b>Class (AuthClass)</b>
# <p>
# The authorization class; currently only <i>Anonymous</i>, <i>User</i>,
# <i>System</i> (valid user belonging to group SystemGroup), and <i>Group</i>
# (valid user belonging to the specified group) are supported.</p>
@@

%%authname
# <p>The user/group names allowed to access the resource. The format is a
# comma separated list.</p>
@@

%%satisfy
# <b>Satisfy (Satisfy)</b>
# <p>
#  This directive controls whether all specified conditions must
#  be satisfied to allow access to the resource. If set to "all",
#  then all authentication and access control conditions must be
#  satisfied to allow access.
# </p>
# <p>
#  Setting Satisfy to "any" allows a user to gain access if the
#  authentication <i>or</i> access control requirements are satisfied.
#  For example, you might require authentication for remote access,
#  but allow local access without authentication.
# </p>
# <p>
#  The default is "all".
# </p> 
@@

%%authgroupname
# <b>Authentication group name (AuthGroupName)</b>
# <p>
# The group name for <i>Group</i> authorization.</p>
@@

%%order
# <b>ACL order (Order)</b>
# <p>
# The order of Allow/Deny processing.</p>
@@

%%allow
# <b>Allow</b>
# <p>
# Allows access from the specified hostname, domain, IP address, or
# network. Possible values are:</p>
# <pre>
#     All
#     None
#     *.domain.com
#     .domain.com
#     host.domain.com
#     nnn.*
#     nnn.nnn.*
#     nnn.nnn.nnn.*
#     nnn.nnn.nnn.nnn
#     nnn.nnn.nnn.nnn/mm
#     nnn.nnn.nnn.nnn/mmm.mmm.mmm.mmm
# </pre><p>
# The host and domain address require that you enable hostname lookups
# with "HostNameLookups On" above.</p>
@@

%%allowdeny
# <b>ACL addresses (Allow/Deny)</b>
# <p>
# Allows/Denies access from the specified hostname, domain, IP address, or
# network. Possible values are:</p>
# <pre>
#     All
#     None
#     *.domain.com
#     .domain.com
#     host.domain.com
#     nnn.*
#     nnn.nnn.*
#     nnn.nnn.nnn.*
#     nnn.nnn.nnn.nnn
#     nnn.nnn.nnn.nnn/mm
#     nnn.nnn.nnn.nnn/mmm.mmm.mmm.mmm
# </pre><p>
# The host and domain address require that you enable hostname lookups
# with "HostNameLookups On" above.</p>
@@

%%encryption
# <b>Encryption (Encryption)</b>
# <p>
# Whether or not to use encryption; this depends on having
# the OpenSSL library linked into the CUPS library and scheduler.</p>
# <p>
# Possible values:</p>
# <ul type=circle>
#     <li><i>Always</i>       - Always use encryption (SSL)</li>
#     <li><i>Never</i>        - Never use encryption</li>
#     <li><i>Required</i>     - Use TLS encryption upgrade</li>
#     <li><i>IfRequested</i>  - Use encryption if the server requests it</li>
# </ul><p>
# The default value is "IfRequested".</p>
@@

%%locationsshort
# <b>Access permissions</b>
# <p>
# Access permissions for each directory served by the scheduler.
# Locations are relative to DocumentRoot...</p>
@@

%%autopurgejobs
# <b>Auto purge jobs (AutoPurgeJobs)</b>
# <p>
# Automatically purge jobs when not needed for quotas.
# Default is No.</p>
$$
#AutoPurgeJobs No
@@

%%browseprotocols
# <b>Browse protocols (BrowseProtocols)</b>
# <p>
# Which protocols to use for browsing.  Can be
# any of the following separated by whitespace and/or commas:</p>
# <ul type=circle>
#     <li><i>all</i>  - Use all supported protocols.</li>
#     <li><i>cups</i> - Use the CUPS browse protocol.</li>
#     <li><i>slp</i>  - Use the SLPv2 protocol.</li>
# </ul><p>
# The default is <b>cups</b>.</p>
# <p>
# Note: If you choose to use SLPv2, it is <b>strongly</b> recommended that
#       you have at least one SLP Directory Agent (DA) on your
#       network.  Otherwise, browse updates can take several seconds,
#       during which the scheduler will not response to client
#       requests.</p>
$$
#BrowseProtocols cups
@@

%%classification
# <b>Classification (Classification)</b>
# <p>
# The classification level of the server.  If set, this
# classification is displayed on all pages, and raw printing is disabled.
# The default is the empty string.</p>
# <p>
# <i>ex</i>: confidential
$$
#Classification classified
@@

%%classifyoverride
# <b>Allow overrides (ClassifyOverride)</b>
# <p>
# Whether to allow users to override the classification
# on printouts. If enabled, users can limit banner pages to before or
# after the job, and can change the classification of a job, but cannot
# completely eliminate the classification or banners.</p>
# <p>
# The default is off.</p>
$$
#ClassifyOverride off
@@

%%hideimplicitmembers
# <b>Hide implicit members (HideImplicitMembers)</b>
# <p>
# Whether or not to show the members of an
# implicit class.</p>
# <p>
# When HideImplicitMembers is On, any remote printers that are
# part of an implicit class are hidden from the user, who will
# then only see a single queue even though many queues will be
# supporting the implicit class.</p>
# <p>
# Enabled by default.</p>
$$
#HideImplicitMembers On
@@

%%implicitanyclasses
# <b>Use &quot;any&quot; classes (ImplicitAnyClasses)</b>
# <p>
# Whether or not to create <b>AnyPrinter</b> implicit
# classes.</p>
# <p>
# When ImplicitAnyClasses is On and a local queue of the same name
# exists, e.g. "printer", "printer@server1", "printer@server1", then
# an implicit class called "Anyprinter" is created instead.</p>
# <p>
# When ImplicitAnyClasses is Off, implicit classes are not created
# when there is a local queue of the same name.</p>
# <p>
# Disabled by default.</p>
$$
#ImplicitAnyCLasses Off
@@

%%maxjobs
# <b>Max jobs (MaxJobs)</b>
# <p>
# Maximum number of jobs to keep in memory (active and completed).
# Default is 0 (no limit).</p>
$$
#MaxJobs 0
@@

%%maxjobsperuser
# <b>Max jobs per user (MaxJobsPerUser)</b>
# <p>
# The MaxJobsPerUser directive controls the maximum number of <i>active</i>
# jobs that are allowed for each user. Once a user reaches the limit, new
# jobs will be rejected until one of the active jobs is completed, stopped,
# aborted, or canceled.</p>
# <p>
# Setting the maximum to 0 disables this functionality.
# Default is 0 (no limit).
# </p>
$$
#MaxJobsPerUser 0
@@

%%maxjobsperprinter
# <b>Max jobs per printer (MaxJobsPerPrinter)</b>
# <p>
# The MaxJobsPerPrinter directive controls the maximum number of <i>active</i>
# jobs that are allowed for each printer or class. Once a printer or class
# reaches the limit, new jobs will be rejected until one of the active jobs
# is completed, stopped, aborted, or canceled.</p>
# <p>
# Setting the maximum to 0 disables this functionality.
# Default is 0 (no limit).
# </p>
$$
#MaxJobsPerPrinter 0
@@

%%port
# <b>Port</b>
# <p>
# The port value that the CUPS daemon is listening to. Default is 631.</p>
@@

%%address
# <b>Address</b>
# <p>
# The address that the CUPS daemon is listening at. Leave it empty or use
# an asterisk (*) to specify a port value on the entire subnetwork.</p>
@@

%%usessl
# <p>Check this box if you want to use SSL encryption with this address/port.
# </p>
@@
